# StatisticsCallback

Package

## Interface StatisticsCallback

-     @FunctionalInterface()
      public interface StatisticsCallback

  Callback function that receives statistics generated for `FFmpegKit` sessions.

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `apply(Statistics statistics)` | Called when a statistics entry is received.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### apply

           abstract void apply(Statistics statistics)

      Called when a statistics entry is received.

      Parameters:
        `statistics` - statistics entry